package libnmdc

const (
	EVENT_PUBLIC                   = 1
	EVENT_PRIVATE                  = 2
	EVENT_SYSTEM_MESSAGE_FROM_HUB  = 3
	EVENT_SYSTEM_MESSAGE_FROM_CONN = 4
	EVENT_USER_JOINED              = 5
	EVENT_USER_PART                = 6
	EVENT_USER_UPDATED_INFO        = 7
	EVENT_CONNECTION_STATE_CHANGED = 8
	EVENT_HUBNAME_CHANGED          = 9
	EVENT_DEBUG_MESSAGE            = 10
	EVENT_USERCOMMAND              = 11
)

type HubEventType int

type HubEvent struct {
	EventType   HubEventType
	Nick        string
	Message     string
	StateChange ConnectionState
	UserCommand *UserCommand
}
